gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Objects.DmabufTexture

Contents

- Exported types
- Methods

Description

A `GdkTexture` representing a DMA buffer.

To create a `GdkDmabufTexture`, use the auxiliary `DmabufTextureBuilder` object.

Dma-buf textures can only be created on Linux.

Since: 4.14

Synopsis

- newtype DmabufTexture = DmabufTexture (ManagedPtr DmabufTexture)
- class (GObject o, IsDescendantOf DmabufTexture o) => IsDmabufTexture o
- toDmabufTexture :: (MonadIO m, IsDmabufTexture o) => o -> m DmabufTexture

# Exported types

newtype DmabufTexture Source #

Memory-managed wrapper type.

Constructors

DmabufTexture (ManagedPtr DmabufTexture) |

#### Instances

Instances details

Eq DmabufTexture Source # |
Instance details Defined in GI.Gdk.Objects.DmabufTexture Methods (==) :: DmabufTexture -> DmabufTexture -> Bool Source # (/=) :: DmabufTexture -> DmabufTexture -> Bool Source #
GObject DmabufTexture Source # |
Instance details Defined in GI.Gdk.Objects.DmabufTexture
ManagedPtrNewtype DmabufTexture Source # |
Instance details Defined in GI.Gdk.Objects.DmabufTexture Methods toManagedPtr :: DmabufTexture -> ManagedPtr DmabufTexture Source #
TypedObject DmabufTexture Source # |
Instance details Defined in GI.Gdk.Objects.DmabufTexture Methods glibType :: IO GType Source #
HasParentTypes DmabufTexture Source # |
Instance details Defined in GI.Gdk.Objects.DmabufTexture
IsGValue (Maybe DmabufTexture) Source # | Convert `DmabufTexture` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gdk.Objects.DmabufTexture Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe DmabufTexture -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe DmabufTexture) Source #
type ParentTypes DmabufTexture Source # |
Instance details Defined in GI.Gdk.Objects.DmabufTexture type ParentTypes DmabufTexture = '[Texture, Object, Paintable, Icon, LoadableIcon]

class (GObject o, IsDescendantOf DmabufTexture o) => IsDmabufTexture o Source #

Type class for types which can be safely cast to `DmabufTexture`, for instance with `toDmabufTexture`.

#### Instances

Instances details

(GObject o, IsDescendantOf DmabufTexture o) => IsDmabufTexture o Source # |
Instance details Defined in GI.Gdk.Objects.DmabufTexture

toDmabufTexture :: (MonadIO m, IsDmabufTexture o) => o -> m DmabufTexture Source #

Cast to `DmabufTexture`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, computeConcreteSize, download, equal, forceFloating, freezeNotify, getv, hash, invalidateContents, invalidateSize, isFloating, load, loadAsync, loadFinish, notify, notifyByPspec, ref, refSink, runDispose, saveToPng, saveToPngBytes, saveToTiff, saveToTiffBytes, serialize, snapshot, stealData, stealQdata, thawNotify, toString, unref, watchClosure.

#### Getters

getColorState, getCurrentImage, getData, getFlags, getFormat, getHeight, getIntrinsicAspectRatio, getIntrinsicHeight, getIntrinsicWidth, getProperty, getQdata, getWidth.

#### Setters

setData, setDataFull, setProperty.